diff --git a/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp b/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
index e49e2d05..2f21c897 100644
--- a/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
+++ b/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
@@ -2609,26 +2032,20 @@ bool RTI1516ambassador::evokeCallback(double approximateMinimumTimeInSeconds) th
 // 10.38
 bool RTI1516ambassador::evokeMultipleCallbacks(
     double approximateMinimumTimeInSeconds,
-    double approximateMaximumTimeInSeconds) throw(rti1516::FederateNotExecutionMember, rti1516::RTIinternalError)
+    double approximateMaximumTimeInSeconds)
 {
     return __tick_kernel(true, approximateMinimumTimeInSeconds, approximateMaximumTimeInSeconds);
 }
 
 // 10.39
-void RTI1516ambassador::enableCallbacks() throw(rti1516::FederateNotExecutionMember,
-                                                rti1516::SaveInProgress,
-                                                rti1516::RestoreInProgress,
-                                                rti1516::RTIinternalError)
+void RTI1516ambassador::enableCallbacks()
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 10.40
-void RTI1516ambassador::disableCallbacks() throw(rti1516::FederateNotExecutionMember,
-                                                 rti1516::SaveInProgress,
-                                                 rti1516::RestoreInProgress,
-                                                 rti1516::RTIinternalError)
+void RTI1516ambassador::disableCallbacks()
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
diff --git a/libRTI/ieee1516-2000/RTIambassadorImplementation.h b/libRTI/ieee1516-2000/RTIambassadorImplementation.h
index 452cfdba..e536403f 100644
--- a/libRTI/ieee1516-2000/RTIambassadorImplementation.h
+++ b/libRTI/ieee1516-2000/RTIambassadorImplementation.h
@@ -35,8 +35,7 @@ namespace certi
 class RTI_EXPORT RTI1516ambassador : rti1516::RTIambassador
 {
     friend std::auto_ptr< rti1516::RTIambassador >
-    rti1516::RTIambassadorFactory::createRTIambassador(std::vector< std::wstring > & args)
-    throw (rti1516::BadInitializationParameter, rti1516::RTIinternalError);
+    rti1516::RTIambassadorFactory::createRTIambassador(std::vector< std::wstring > & args);
 
 private:
     RTI1516ambPrivateRefs* privateRefs ;
@@ -49,154 +48,81 @@ private:
     template<typename T> void
     assignAHVMAndExecuteService(const rti1516::AttributeHandleValueMap &AHVM, T &req, T &rep);
     // Helper function for CallBacks
-    bool __tick_kernel(bool, TickTime, TickTime)
-    throw (rti1516::SpecifiedSaveLabelDoesNotExist, rti1516::RTIinternalError);
+    bool __tick_kernel(bool, TickTime, TickTime);
 
 protected:
     RTI1516ambassador()
-throw ();
+        noexcept;
 
 public:
     virtual
     ~RTI1516ambassador();
-    // throw ()
+    // noexcept
 
     // 4.2
     virtual void createFederationExecution
     (std::wstring const & federationExecutionName,
             std::wstring const & fullPathNameToTheFDDfile,
-            std::wstring const & logicalTimeImplementationName = L"")
-    throw (rti1516::FederationExecutionAlreadyExists,
-           rti1516::CouldNotOpenFDD,
-           rti1516::ErrorReadingFDD,
-           rti1516::CouldNotCreateLogicalTimeFactory,
-           rti1516::RTIinternalError);
+            std::wstring const & logicalTimeImplementationName = L"");
 
     // 4.3
     virtual void destroyFederationExecution
-    (std::wstring const & federationExecutionName)
-    throw (rti1516::FederatesCurrentlyJoined,
-           rti1516::FederationExecutionDoesNotExist,
-           rti1516::RTIinternalError);
+    (std::wstring const & federationExecutionName);
 
     // 4.4
     virtual rti1516::FederateHandle joinFederationExecution
     (std::wstring const & federateType,
            std::wstring const & federationExecutionName,
-           rti1516::FederateAmbassador & federateAmbassador)
-    throw (rti1516::FederateAlreadyExecutionMember,
-           rti1516::FederationExecutionDoesNotExist,
-           rti1516::SaveInProgress,
-           rti1516::RestoreInProgress,
-           rti1516::CouldNotCreateLogicalTimeFactory,
-           rti1516::RTIinternalError);
+           rti1516::FederateAmbassador & federateAmbassador);
 
     // 4.5
     virtual void resignFederationExecution
-    (rti1516::ResignAction resignAction)
-    throw (rti1516::OwnershipAcquisitionPending,
-            rti1516::FederateOwnsAttributes,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::ResignAction resignAction);
 
     // 4.6
     virtual void registerFederationSynchronizationPoint
     (std::wstring const & label,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     virtual void registerFederationSynchronizationPoint
     (std::wstring const & label,
             rti1516::VariableLengthData const & theUserSuppliedTag,
-            rti1516::FederateHandleSet const & syncSet)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::FederateHandleSet const & syncSet);
 
     // 4.9
     virtual void synchronizationPointAchieved
-    (std::wstring const & label)
-    throw (rti1516::SynchronizationPointLabelNotAnnounced,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (std::wstring const & label);
 
     // 4.11
     virtual void requestFederationSave
-    (std::wstring const & label)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (std::wstring const & label);
 
     virtual void requestFederationSave
     (std::wstring const & label,
-            rti1516::LogicalTime const & theTime)
-    throw (rti1516::LogicalTimeAlreadyPassed,
-            rti1516::InvalidLogicalTime,
-            rti1516::FederateUnableToUseTime,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::LogicalTime const & theTime);
 
     // 4.13
-    virtual void federateSaveBegun ()
-    throw (rti1516::SaveNotInitiated,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void federateSaveBegun ();
 
     // 4.14
-    virtual void federateSaveComplete ()
-    throw (rti1516::FederateHasNotBegunSave,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
-
-    virtual void federateSaveNotComplete()
-    throw (rti1516::FederateHasNotBegunSave,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void federateSaveComplete ();
+
+    virtual void federateSaveNotComplete();
 
     // 4.16
-    virtual void queryFederationSaveStatus ()
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void queryFederationSaveStatus ();
 
     // 4.18
     virtual void requestFederationRestore
-    (std::wstring const & label)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (std::wstring const & label);
 
     // 4.22
-    virtual void federateRestoreComplete ()
-    throw (rti1516::RestoreNotRequested,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RTIinternalError);
-
-    virtual void federateRestoreNotComplete ()
-    throw (rti1516::RestoreNotRequested,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RTIinternalError);
+    virtual void federateRestoreComplete ();
+
+    virtual void federateRestoreNotComplete ();
 
     // 4.24
-    virtual void queryFederationRestoreStatus ()
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RTIinternalError);
+    virtual void queryFederationRestoreStatus ();
 
     /////////////////////////////////////
     // Declaration Management Services //
@@ -205,103 +131,46 @@ public:
     // 5.2
     virtual void publishObjectClassAttributes
     (rti1516::ObjectClassHandle theClass,
-            rti1516::AttributeHandleSet const & attributeList)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandleSet const & attributeList);
 
     // 5.3
     virtual void unpublishObjectClass
-    (rti1516::ObjectClassHandle theClass)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::OwnershipAcquisitionPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::ObjectClassHandle theClass);
 
     virtual void unpublishObjectClassAttributes
     (rti1516::ObjectClassHandle theClass,
-            rti1516::AttributeHandleSet const & attributeList)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::AttributeNotDefined,
-            rti1516::OwnershipAcquisitionPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandleSet const & attributeList);
 
     // 5.4
     virtual void publishInteractionClass
-    (rti1516::InteractionClassHandle theInteraction)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::InteractionClassHandle theInteraction);
 
     // 5.5
     virtual void unpublishInteractionClass
-    (rti1516::InteractionClassHandle theInteraction)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::InteractionClassHandle theInteraction);
 
     // 5.6
     virtual void subscribeObjectClassAttributes
     (rti1516::ObjectClassHandle theClass,
             rti1516::AttributeHandleSet const & attributeList,
-            bool active = true)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            bool active = true);
 
     // 5.7
     virtual void unsubscribeObjectClass
-    (rti1516::ObjectClassHandle theClass)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::ObjectClassHandle theClass);
 
     virtual void unsubscribeObjectClassAttributes
     (rti1516::ObjectClassHandle theClass,
-            rti1516::AttributeHandleSet const & attributeList)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandleSet const & attributeList);
 
     // 5.8
     virtual void subscribeInteractionClass
     (rti1516::InteractionClassHandle theClass,
-            bool active = true)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::FederateServiceInvocationsAreBeingReportedViaMOM,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            bool active = true);
 
     // 5.9
     virtual void unsubscribeInteractionClass
-    (rti1516::InteractionClassHandle theClass)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::InteractionClassHandle theClass);
 
     ////////////////////////////////
     // Object Management Services //
@@ -309,169 +178,75 @@ public:
 
     // 6.2
     virtual void reserveObjectInstanceName
-    (std::wstring const & theObjectInstanceName)
-    throw (rti1516::IllegalName,
-            rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (std::wstring const & theObjectInstanceName);
 
     // 6.4
     virtual rti1516::ObjectInstanceHandle registerObjectInstance
-    (rti1516::ObjectClassHandle theClass)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::ObjectClassNotPublished,
-            rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::ObjectClassHandle theClass);
 
     virtual rti1516::ObjectInstanceHandle registerObjectInstance
     (rti1516::ObjectClassHandle theClass,
-            std::wstring const & theObjectInstanceName)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::ObjectClassNotPublished,
-            rti1516::ObjectInstanceNameNotReserved,
-            rti1516::ObjectInstanceNameInUse,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            std::wstring const & theObjectInstanceName);
 
     // 6.6
     virtual void updateAttributeValues
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleValueMap const & theAttributeValues,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     virtual rti1516::MessageRetractionHandle updateAttributeValues
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleValueMap const & theAttributeValues,
             rti1516::VariableLengthData const & theUserSuppliedTag,
-            rti1516::LogicalTime const & theTime)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::InvalidLogicalTime,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::LogicalTime const & theTime);
 
     // 6.8
     virtual void sendInteraction
     (rti1516::InteractionClassHandle theInteraction,
             rti1516::ParameterHandleValueMap const & theParameterValues,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::InteractionClassNotPublished,
-            rti1516::InteractionClassNotDefined,
-            rti1516::InteractionParameterNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     virtual rti1516::MessageRetractionHandle sendInteraction
     (rti1516::InteractionClassHandle theInteraction,
             rti1516::ParameterHandleValueMap const & theParameterValues,
             rti1516::VariableLengthData const & theUserSuppliedTag,
-            rti1516::LogicalTime const & theTime)
-    throw (rti1516::InteractionClassNotPublished,
-            rti1516::InteractionClassNotDefined,
-            rti1516::InteractionParameterNotDefined,
-            rti1516::InvalidLogicalTime,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::LogicalTime const & theTime);
 
     // 6.10
     virtual void deleteObjectInstance
     (rti1516::ObjectInstanceHandle theObject,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::DeletePrivilegeNotHeld,
-            rti1516::ObjectInstanceNotKnown,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     virtual rti1516::MessageRetractionHandle deleteObjectInstance
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::VariableLengthData const & theUserSuppliedTag,
-            rti1516::LogicalTime  const & theTime)
-    throw (rti1516::DeletePrivilegeNotHeld,
-            rti1516::ObjectInstanceNotKnown,
-            rti1516::InvalidLogicalTime,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::LogicalTime  const & theTime);
 
     // 6.12
     virtual void localDeleteObjectInstance
-    (rti1516::ObjectInstanceHandle theObject)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::FederateOwnsAttributes,
-            rti1516::OwnershipAcquisitionPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::ObjectInstanceHandle theObject);
 
     // 6.13
     virtual void changeAttributeTransportationType
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSet const & theAttributes,
-            rti1516::TransportationType theType)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::TransportationType theType);
 
     // 6.14
     virtual void changeInteractionTransportationType
     (rti1516::InteractionClassHandle theClass,
-            rti1516::TransportationType theType)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::InteractionClassNotPublished,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::TransportationType theType);
 
     // 6.17
     virtual void requestAttributeValueUpdate
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSet const & theAttributes,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     virtual void requestAttributeValueUpdate
     (rti1516::ObjectClassHandle theClass,
             rti1516::AttributeHandleSet const & theAttributes,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     ///////////////////////////////////
     // Ownership Management Services //
@@ -479,134 +254,56 @@ public:
     // 7.2
     virtual void unconditionalAttributeOwnershipDivestiture
     (rti1516::ObjectInstanceHandle theObject,
-            rti1516::AttributeHandleSet const & theAttributes)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandleSet const & theAttributes);
 
     // 7.3
     virtual void negotiatedAttributeOwnershipDivestiture
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSet const & theAttributes,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::AttributeAlreadyBeingDivested,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     // 7.6
     virtual void confirmDivestiture
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSet const & confirmedAttributes,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::AttributeDivestitureWasNotRequested,
-            rti1516::NoAcquisitionPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     // 7.8
     virtual void attributeOwnershipAcquisition
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSet const & desiredAttributes,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::ObjectClassNotPublished,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotPublished,
-            rti1516::FederateOwnsAttributes,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     // 7.9
     virtual void attributeOwnershipAcquisitionIfAvailable
     (rti1516::ObjectInstanceHandle theObject,
-            rti1516::AttributeHandleSet const & desiredAttributes)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::ObjectClassNotPublished,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotPublished,
-            rti1516::FederateOwnsAttributes,
-            rti1516::AttributeAlreadyBeingAcquired,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandleSet const & desiredAttributes);
 
     // 7.12
     virtual void attributeOwnershipDivestitureIfWanted
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSet const & theAttributes,
-            rti1516::AttributeHandleSet & theDivestedAttributes) // filled by RTI
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandleSet & theDivestedAttributes); // filled by RTI
 
     // 7.13
     virtual void cancelNegotiatedAttributeOwnershipDivestiture
     (rti1516::ObjectInstanceHandle theObject,
-            rti1516::AttributeHandleSet const & theAttributes)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::AttributeDivestitureWasNotRequested,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandleSet const & theAttributes);
 
     // 7.14
     virtual void cancelAttributeOwnershipAcquisition
     (rti1516::ObjectInstanceHandle theObject,
-            rti1516::AttributeHandleSet const & theAttributes)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeAlreadyOwned,
-            rti1516::AttributeAcquisitionWasNotRequested,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandleSet const & theAttributes);
 
     // 7.16
     virtual void queryAttributeOwnership
     (rti1516::ObjectInstanceHandle theObject,
-            rti1516::AttributeHandle theAttribute)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandle theAttribute);
 
     // 7.18
     virtual bool isAttributeOwnedByFederate
     (rti1516::ObjectInstanceHandle theObject,
-            rti1516::AttributeHandle theAttribute)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandle theAttribute);
 
     //////////////////////////////
     // Time Management Services //
